Go to the latest version of this document.

# ``twisted`.`trial`.`_dist`.`disttrial``

module documentation
(source)

This module contains the trial distributed runner, the management class responsible for coordinating all of trial's behavior at the highest level.

Present Since
12.3

Interface | `IDistTrialReactor` | The reactor interfaces required by disttrial.
Class | `DistTrialRunner` | A specialized runner for distributed trial. The runner launches a number of local worker processes which will run tests.
Class | `StartedWorkerPool` | A pool of workers which have already been started.
Class | `WorkerPool` | Manage a fixed-size collection of child processes which can run tests.
Class | `WorkerPoolConfig` | Configuration parameters for a pool of test-running workers.
Async Function | `runTests` | Undocumented
Function | `shouldContinue` | Determine whether the test suite should be iterated again.
Function | `_defaultReactor` | Get the default reactor, ensuring it is suitable for use with disttrial.

async def runTests(pool: `StartedWorkerPool`, testCases: `Iterable[ITestCase]`, result: `DistReporter`, driveWorker: `Callable[[DistReporter, Iterable[ITestCase], LocalWorkerAMP], Awaitable[None]]`): (source)

Undocumented

def shouldContinue(untilFailure: `bool`, result: `IReporter`) -> `bool`: (source)

Determine whether the test suite should be iterated again.

Parameters
untilFailure:`bool` | `True` if the suite is supposed to run until failure.
result:`IReporter` | The test result of the test suite iteration which just completed.

Returns
`bool` | Undocumented

def _defaultReactor() -> `IDistTrialReactor`: (source)

Get the default reactor, ensuring it is suitable for use with disttrial.